Wait for a workflow execution to reach a terminal state (long-poll).
curl --request GET \
--url https://api.artu.ai/workflows/executions/{id}/wait \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/workflows/executions/{id}/wait"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/workflows/executions/{id}/wait', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflows/executions/{id}/wait",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflows/executions/{id}/wait"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/workflows/executions/{id}/wait")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflows/executions/{id}/wait")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "<string>",
"triggerType": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"eventType": "<string>",
"status": "running",
"error": "<string>",
"alertIds": [
"<string>"
],
"durationMs": 0,
"initiatedBy": "<string>",
"createdAt": "<string>",
"producedRecords": [],
"producedFiles": [],
"completedAt": "<string>",
"inputs": {},
"resolvedVariables": {},
"workflowTrace": {
"workflowSnapshot": {
"nodes": [],
"edges": []
},
"nodeTraces": [
{
"nodeId": "<string>",
"type": "<string>",
"durationMs": 123,
"error": "<string>",
"skipped": true,
"rowCounts": {},
"columns": {},
"outputs": {}
}
],
"durationMs": 123,
"error": "<string>"
},
"warnings": []
}Workflows
Wait for a workflow execution to reach a terminal state (long-poll).
GET
/
workflows
/
executions
/
{id}
/
wait
Wait for a workflow execution to reach a terminal state (long-poll).
curl --request GET \
--url https://api.artu.ai/workflows/executions/{id}/wait \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/workflows/executions/{id}/wait"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/workflows/executions/{id}/wait', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflows/executions/{id}/wait",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflows/executions/{id}/wait"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/workflows/executions/{id}/wait")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflows/executions/{id}/wait")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "<string>",
"triggerType": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"eventType": "<string>",
"status": "running",
"error": "<string>",
"alertIds": [
"<string>"
],
"durationMs": 0,
"initiatedBy": "<string>",
"createdAt": "<string>",
"producedRecords": [],
"producedFiles": [],
"completedAt": "<string>",
"inputs": {},
"resolvedVariables": {},
"workflowTrace": {
"workflowSnapshot": {
"nodes": [],
"edges": []
},
"nodeTraces": [
{
"nodeId": "<string>",
"type": "<string>",
"durationMs": 123,
"error": "<string>",
"skipped": true,
"rowCounts": {},
"columns": {},
"outputs": {}
}
],
"durationMs": 123,
"error": "<string>"
},
"warnings": []
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Query Parameters
Required range:
1000 <= x <= 60000Response
200 - application/json
OK
Available options:
test, live Available options:
running, waiting_for_input, completed, errored, timed_out, cancelled, abandoned Required range:
-9007199254740991 <= x <= 9007199254740991User ID that initiated this execution (null for system-triggered runs)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
